import QtQuick 1.1
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../common/HelpMapper.js" as HelpMapper

Item
{
	id: setupPassword
	objectName:	"setupPassword"
	anchors.fill: parent
	
	property variant context: MainWindow.GetSubViewModel("ParentalControl")
	
	function setActiveFocus()
	{
    		if (enterNewPassword.visible)
    			enterNewPassword.setActiveFocus();
    		else if (specifyPasswordArea.visible)
    			specifyPasswordArea.setActiveFocus();
	}
	
	SetPassword
	{
		id: enterNewPassword
		visible: !context.PasswordEnter.IsPasswordSpecified && !isPasswordEntered

        onVisibleChanged:
        {
            if (visible)
                helpId = HelpMapper.ParentalControlPasswordInputHelpId
        }
	
	}
	
	PasswordArea
	{
		id: specifyPasswordArea
		visible: !context.PasswordEnter.IsPasswordSpecified && enterNewPassword.isPasswordEntered

		onVisibleChanged:
		{
            if (visible)
            {
				setActiveFocus();
                helpId = HelpMapper.ParentalControlPasswordAreaHelpId
            }
		}
	}
}
