import QtQuick 1.1

FocusScope
{
    id: widget
	objectName: "enumCombo"
    property variant target
    property string property
    property bool when: true
    property variant localizationObject: widget
    property alias textfont: listCombo.textfont
    property alias textcolor: listCombo.textcolor

    property int tabOrder: 1

    height: listCombo.height
    width: listCombo.width

    ListCombo
    {
        id: listCombo
		objectName: "listCombo"
		localizer: localizationObject;
        target: when ? widget.target : null
        property: when ? widget.property : ""
        keyList: when && target && property ? buildList() : null
        tabOrder : widget.tabOrder ? 1 : 0

        function buildList()
        {
            var list = []
            if (!target || !property || target[property] === undefined)
                return list;
            var count = EnumExtension.GetCount(target, property);
            for (var elementIndex = 0; elementIndex < count; ++elementIndex)
                list.push(EnumExtension.GetKeyByIndex(target, property, elementIndex));
            return list;
        }
    }
}
