import QtQuick 1.1
import "../../common/fonts" as Fonts


Column
{
    id: widget
    objectName: "Column"
    property variant fontStyles: Fonts.Common{}
    property variant target
    property string property
    property variant localizer
    property int horizontalMargin: 2
    property variant textfont: fontStyles.standardCommonTextFont
    property string textcolor: "black"

    function isRadioButtonVisible(enumName)
    {
        return true;
    }
    function getLocalizerKey(enumName)
    {
        return enumName;
    }
    function itemAt(index)
    {
        return group.itemAt(index);
    }

    spacing: 5
    Repeater
    {
        id: group

        model: target && property ? EnumExtension.GetCount(widget.target, widget.property) : 0

        RadioButton
        {
            group: undefined
            objectName: enumName
            property string enumName: EnumExtension.GetKeyByIndex(widget.target, widget.property, index)
            property string localizerKey: getLocalizerKey(enumName)
            text: localizer ? localizer.Localize(localizerKey) : localizerKey
            textfont: widget.textfont
            textcolor: widget.textcolor
            visible: widget.isRadioButtonVisible(enumName)
            maxWidth: 1000000
            horizontalMargin: widget.horizontalMargin
            anchors.left: parent.left
            CheckBoxValueBinder
            {
                id: binder
                target: widget.target
                property: widget.property
                value: index
            }
        }
    }
}
