import QtQuick 1.1

Item
{
    property int angle // one step angle in degrees
    property int interval // one step duration in miliseconds
    property string source // source picture
    property alias running: timer.running

    id: element

    width: image.width
    height: image.height

    Image
    {
        id: image
        source: element.source
        smooth: true
        transformOrigin: Item.Center
    }

    Timer
    {
        id: timer
        interval: element.interval
        repeat: true
        running: true
        onTriggered: image.rotation = (image.rotation + element.angle) % 360
    }
}
