import QtQuick 1.1

Item
{
    id:radioGroup
    objectName: "radioGroup"
    ListModel
    {
        id:buttons;
    }
    function registerRadioButton(button)
    {
        var nextIndex = buttons.count;
        var str = 'import QtQuick 1.1; Connections {';
        str += 'ignoreUnknownSignals:true;'
        str += 'onCheckedChanged:{ radioGroup.setButtonChecked(' + nextIndex + '); }';
        str += 'onKeyboardNavigate:{ radioGroup.keyboardKeyPressed(forward, ' + nextIndex + '); } ';
        str += '}';

        var connector = Qt.createQmlObject(str, radioGroup, "dynamicConnector");
        buttons.append({"button":button, "connector":connector });
        buttons.get(nextIndex).connector.target =  buttons.get(nextIndex).button;
    }

    property bool inCheckSequence: false
    function setButtonChecked(buttonIndex)
    {
        if(!inCheckSequence)
        {
            inCheckSequence = true;
            var count = buttons.count;
            var button = 0;
            while(button < count)
            {
                buttons.get(button).button.checked = (button == buttonIndex);
                ++button;
            }
            inCheckSequence = false;
        }
    }

    function setButtonFocused(buttonIndex)
    {
        buttons.get(buttonIndex).button.focus = true;
    }

    function getNextIndex(forward, buttonIndex)
    {
        var count = buttons.count;
		if(count == 1)
			return buttonIndex;

        var newIndex = buttonIndex;
        if(forward)
		{
			while(1)
			{
				++newIndex;
				if(newIndex < count)
				{
					if(buttons.get(newIndex).button.visible)
						return newIndex;
				}
				else
				{
					return buttonIndex;
				}
			};
		}
        else
		{
			while(1)
			{
				--newIndex;
				if(newIndex >= 0)
				{
					if(buttons.get(newIndex).button.visible)
						return newIndex;
				}
				else
				{
					return buttonIndex;
				}
			};
		}
        return buttonIndex;
    }

    function keyboardKeyPressed(forward, buttonIndex)
    {
        var newIndex = getNextIndex(forward, buttonIndex);
        setButtonChecked(newIndex);
        setButtonFocused(newIndex);
    }
}
