import QtQuick 1.1

Row
{
    property bool minimizeButtonVisible: Window.CanMinimize
    property bool minimizeButtonEnabled: Window.CanMinimize

	signal close

    id: windowButtons
    objectName: "windowButtons"
    anchors.right: parent.right
    anchors.rightMargin: 10
	anchors.top: parent.top
    Button
    {
        objectName: "minimizeButton"
		tabOrder: 0
        id: minimizeButton
        iconImage: "../images/window/windowbutton_minimize_normal.png"
        iconHoverImage: "../images/window/windowbutton_minimize_hover.png"
        iconPressedImage: "../images/window/windowbutton_minimize_pressed.png"
        iconDisabledImage: "../images/window/windowbutton_minimize_disabled.png"
        onClicked: Window.Minimize()
		visible: windowButtons.minimizeButtonVisible
		enabled: windowButtons.minimizeButtonEnabled
		mirror: Window.Mirror
		dpiScale: false
    }
    Button
    {
        objectName: "closeButton"
		tabOrder: 0
        iconImage: minimizeButton.visible ? "../images/window/windowbutton_close_normal.png" : "../images/window/windowbutton_close_single_normal.png"
        iconHoverImage: minimizeButton.visible ? "../images/window/windowbutton_close_hover.png" : "../images/window/windowbutton_close_single_hover.png"
        iconPressedImage: minimizeButton.visible ? "../images/window/windowbutton_close_pressed.png" : "../images/window/windowbutton_close_single_pressed.png"
		mirror: Window.Mirror
		dpiScale: false
        onClicked:
        {
            windowButtons.close();
        }
    }
}
