import QtQuick 1.1
import ".." as Widgets

Item
{
	property Item body
	width: parent.width
	height: childrenRect.height

	Component
	{
		id: defaultMark
		Rectangle
		{
			width: 1
            height: 3
            color: "#c1c9ce"
		}
	}

	Widgets.ConditionalLoader
	{
		when: parent.visible
		width: parent.width
        conditionSourceComponent: Item
		{
			property Item body: parent ? parent.parent.body : null
			width: parent ? parent.width : 0
			height: childrenRect.height
			Repeater
			{
				model: body ? body.maxValue - body.minValue + 1: 0;
				Loader
				{
					sourceComponent: defaultMark
					anchors.left: parent.left
                    anchors.leftMargin: body.getXForValue(body.minValue + index) - 1
				}
			}
		}
	}
}
