import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/fonts" as Fonts
import "../common/EnumHelper.js" as EnumHelper
import "../common/ProductTypeHelper.js" as ProductTypeHelper
import "../common/widgets" as Widgets

Widgets.SimpleMessageBox
{
    id: safeBankingErrorLaunchMessageBox

    Localizer { id: tr; scope: "safe_banking" }
    property variant context: ViewModel

    iconSource: "../images/ico_warning_48.png"
    caption: tr.Localize("CustomActionTitle")
    description: tr.Localize("SafeBrowserLaunchErrorDescription")
    additionalDescription: tr.Localize("SafeBrowserLaunchError0x" + context.Error.toString(16));
    cancelButtonText: tr.Localize("CloseButton")
    okVisible: false
    learnMoreVisible: true
    learnMoreText: tr.Localize("SafeBankingLearnMore")
    learnMoreUrl: "$HelpURLOnlineBankingError+\"0x" + context.Error.toString(16) + "\""

    onCancelClicked:
    {
        Window.Close()
    }
}
