import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/DateTime.js" as DateTime

Row
{
	objectName: "timeLeft"
	spacing: 4
	anchors.left: parent ? parent.left : undefined
	Text
	{
		Localizer { id:tr; scope:"ScanTask" }
		text: tr.Localize("TaskManager_CaptionRemain")
		font: commonFontStyles.standardCommonTextFont
		horizontalAlignment: Text.AlignLeft
	}
	Widgets.Hyperlink
	{
		objectName: "remainingTime"
		id: remainingTimeHyperlink
		focus: true
		setFocusOnPressed: true
		tabOrder: 0
		text: DateTime.localizeTimeIntervalFromDate(taskModel.RemainingTime, tr);
		onClicked: taskModel.ShowScanObjectReport();
	}
	function setFocus(value)
	{
		remainingTimeHyperlink.focus = value
	}
}
