import QtQuick 1.1
import QtWidgetProxies 1.0
import "../../../common/widgets" as Widgets
import "../../../common/border" as Border
import "../../../common/Colors.js" as Colors
import "../../../common/fonts" as Fonts
import "../../../common/HelpMapper.js" as HelpMapper


Item
{
    id: greetings
    objectName: "introPage"
    width:100
    Localizer { id: tr; scope: "RescueDiskWizard" }

    property variant context: RescueDiskWizard.GetPageContext()
    property variant commonFontStyles: Fonts.Common{}

    property string textMarker: rescueDiskMain.getMarker()


    function getHelpId()
    {
        return HelpMapper.RescueDiskWizardIntroHelp;
    }



     Column
    {
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.leftMargin: 40
        anchors.rightMargin: 40
        anchors.topMargin: 40
        width: parent.width

        spacing: 20

        Text
        {
            id: titleLabel

            width: parent.width
            wrapMode: Text.WordWrap
            font: commonFontStyles.standardSmallCaptionFont
            text: tr.Localize("GreetingsPage_" + textMarker)

        }

        Rectangle { color: "lightgray"; width: parent.width; height: 1 }

        Text
        {
            width: parent.width
            wrapMode: Text.WordWrap
            text: tr.Localize("GreetingsPageDescriptionText")
        }

        Text
        {
            text:  tr.Localize("IsoVersion") + context.isoVersionText
            visible : context.isIsoExistsFlag
        }

        Widgets.CheckBox
        {
            target: context
            property: "useOldIso"
            text: tr.Localize("GreetingsPageCheckboxText")
            visible: context.isIsoExistsFlag
         }
    }
}

