import QtQuick 1.1
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../common/HelpMapper.js" as HelpMapper

MigrationBasePage
{
    objectName: "migrationRebootPage"
    property variant commonFontStyles: Fonts.Common{}
    helpButtonVisible: true

	function getHelpId()
	{
        return HelpMapper.MigrationRebootPageHelpId;
	}

    Column
    {
		objectName: "column"
        anchors.fill: parent;
        spacing: 8

        Text
        {
            id: desc
            text: getPageDescription()
            wrapMode: Text.WordWrap
			width: parent.parent.width
			anchors.left: parent.left
            font: commonFontStyles.standardCommonTextFont
        }

        Widgets.CheckBox
        {
			id: shouldRebootOS
			objectName: "shouldRebootOS"
            text:tr.Localize("RebootPageCheckboxRebootText");
			anchors.left: parent.left
            checked: context.ShouldReboot;
        }
        Binding {target: context; property: "ShouldReboot"; value: shouldRebootOS.checked }
    }
}
