import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/fonts" as Fonts
import "../common/EnumHelper.js" as EnumHelper
import "../common/ProductTypeHelper.js" as ProductTypeHelper
import "../common/widgets" as Widgets

Widgets.SimpleMessageBox
{
    id: safeBankingRequestDeleteMessageBox

    Localizer { id: tr; scope: "SafeBanking" }
    property variant context: ViewModel

    iconSource: "../images/ico_warning_48.png"
    caption: tr.Localize("Title")
    description: tr.Localize("Confirmation", {"RequestedTitle" : context.RequestedTitle});
    cancelButtonText: tr.Localize("Cancel")
    okButtonText: tr.Localize("Ok")

    onCancelClicked:
    {
        context.Decision = 1
        Window.Close()
    }

    onOkClicked:
    {
        context.Decision = 0
        Window.Close()
    }
}
