import QtQuick 1.1
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts

Item 
{
    width: 7 + 500 + 7
    height: 7 + 200 + 7

	property variant context: Context
	property variant fontStyles: Fonts.SplashWindow{}
		
	LayoutMirroring.enabled: context.Mirror
	LayoutMirroring.childrenInherit: true	
	
	function getLogoImage()
	{
		if (context.productType == 0)
			return context.isRelease ? "../common/images/splash/logo_kis.png" : "../common/images/splash/logo_kis_beta.png";
		else if (context.productType == 1)
			return context.isRelease ? "../common/images/splash/logo_kav.png" : "../common/images/splash/logo_kav_beta.png";
		return "";
	}

	Image // Background image
	{
		anchors.left: parent.left
		y: 0
		source: "../common/images/splash/splash_with_shadow.png"
	}

	Image // Product Title
	{
		id: productLogo
		anchors
		{
			top: parent.top
            topMargin: 7 + 30
			left: parent.left
            leftMargin: 7 + 80
		}
		source: getLogoImage()
	}

	Text
	{
		id: stageName
		anchors
		{
			top: productLogo.bottom
			topMargin: 24
			left: productLogo.left
		}
		font: fontStyles.labelsFont
		text: context.stageName
		horizontalAlignment: Text.AlignLeft
	}
	
	SplashProgressBar
	{
		anchors
		{
			top: stageName.bottom
			topMargin: 5
			left: productLogo.left
			right: parent.right
			rightMargin: 7 + 30
		}
		height: 11
		percent: context.completionPercent
		visible: !context.isInfiniteProgress;
	}

	Widgets.InfiniteProgressBar
	{
		anchors
		{
			top: stageName.bottom
			topMargin: 5
			left: productLogo.left
			right: parent.right
			rightMargin: 7 + 30
		}
		height: 11
		visible: context.isInfiniteProgress;
	}

	Text
	{
		anchors
		{
			bottom: parent.bottom
            bottomMargin: 7 + 24
			left: productLogo.left
		}
		font: fontStyles.labelsFont
		text: context.copyrightText
		horizontalAlignment: Text.AlignLeft
	}
}
