import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts


Item
{
    id: supportInfo
    signal back
    signal home
    objectName: "caption"
    width: parent.width
    height: 37

    property alias canHome: homeButton.visible
    property alias caption: caption.text
    property variant commonFontStyles: Fonts.Common{}

    BorderImage
    {
        id: backgroundRect
        anchors.fill: parent
        source: "../common/images/support/toolbar.png"
    }

    Widgets.BackButton
    {
        id: gobackButton
        objectName: "goBack"
        anchors.left: parent.left
        anchors.leftMargin: 7
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: 1

        text: tr.Localize("Back");
        onClicked: supportInfo.back()
    }

    Widgets.CaptionButton
    {
        id: homeButton
        objectName: "Home"
        anchors.left: gobackButton.right
        anchors.leftMargin: 4
        anchors.verticalCenter: parent.verticalCenter

        iconImage: "../images/inner/ico_home.png";
        minWidth: 0
        onClicked: supportInfo.home()
    }

    Text
    {
        id: caption
        smooth: true
        font: commonFontStyles.standardSectionCaptionFont
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: 1
        color: "#202020"
    }
}
