import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/EnumHelper.js" as EnumHelper

Item
{
    Localizer { id:tr; scope:"ScanTask" }
    anchors.left: parent ? parent.left : undefined
    anchors.right: parent ? parent.right : undefined
    anchors.rightMargin: 22
    height : childrenRect.height
	objectName: "currentObject"

    Widgets.StaticLabel
    {
        function getCurrentText()
        {
            if(EnumHelper.getKey(taskModel, "Type") == "CustomArea")
            {
                if(taskModel.IsRunning)
                    return "TaskManager_CaptionScan";
                else
                    return taskModel.IsKsnStatisticsAvailable ? "TaskManager_CaptionObject" : "TaskManager_CaptionObjects";

            }
            if(EnumHelper.getKey(taskModel, "Type") == "Full")
                return "TaskManager_CaptionScan";

            return "TaskManager_CaptionObject";
        }

        function isRequestedScanObjectsVisible()
        {
            return EnumHelper.getKey(taskModel, "Type") == "CustomArea" && !taskModel.IsRunning;
        }

        caption:	tr.Localize(getCurrentText())
        value:		isRequestedScanObjectsVisible() ? taskModel.RequestedScanObjects : taskModel.CurrentObjectName;
        captionFont:commonFontStyles.standardCommonTextFont
        valueFont:	commonFontStyles.standardCommonTextFont

        isWrapMode: false
        valueElide:	Text.ElideMiddle

        anchors.left: parent.left
        anchors.right: parent.right
        anchors.rightMargin: skipLink.visible ? skipLink.width : 0;
    }
    Widgets.Hyperlink
    {
        id: skipLink
        anchors.right: parent.right
        objectName: "SkipLink"
        tabOrder: 0
        visible: taskModel.CanSkip;
        text: tr.Localize("TaskManager_SkipLink")
        onClicked: taskModel.Skip();
    }
}
