import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/DateTime.js" as DateTime

Column
{
	width:				parent.width
	spacing:			12
	Localizer { id:tr; scope:"ScanTask" }

	Widgets.StaticLabel
	{
		valueColor:	"blue"
		caption:	tr.Localize("SinceTaskFailDescription")
		value:		DateTime.localizeTimeIntervalFromDateFullFormat(taskModel.DurationSinceLastStop, tr)
		captionFont:commonFontStyles.standardCommonTextFont
		valueFont:	commonFontStyles.standardCommonTextFont
		valueElide:	Text.ElideMiddle
		anchors.left: parent.left
	}

	Text
	{
		text: tr.Localize("Error_" + taskModel.LastErrorDescription, "DefaultErrorDescription", {"DefaultErrorValue":taskModel.LastError});
		font: commonFontStyles.standardCommonTextFont
		wrapMode: 	Text.Wrap
		anchors.left: parent.left
		horizontalAlignment: Text.AlignLeft
	}
}

